www/p5-HTML-Restrict - The NetBSD Packages Collection

Perl5 module for stripping unwanted HTML tags and attributes

This module uses HTML::Parser to strip HTML from text in a restrictive
manner. By default all HTML is restricted. You may alter the default
behaviour by supplying your own tag rules.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

devel/p5-Data-Dump www/p5-HTML-Parser devel/p5-List-MoreUtils devel/p5-Module-Build devel/p5-Moo devel/p5-Type-Tiny www/p5-libwww devel/p5-namespace-clean lang/perl5 lang/perl5

Available binary packages

aarch64:p5-HTML-Restrict-3.0.0nb1.tgz(NetBSD 9.0)
aarch64:p5-HTML-Restrict-3.0.0nb2.tgz(NetBSD 9.0)
aarch64:p5-HTML-Restrict-3.0.0nb2.tgz(NetBSD 9.0)
alpha:p5-HTML-Restrict-3.0.0nb2.tgz(NetBSD 9.0)
alpha:p5-HTML-Restrict-3.0.0nb2.tgz(NetBSD 9.0)
earm:p5-HTML-Restrict-3.0.0nb2.tgz(NetBSD 9.0)
earmv6hf:p5-HTML-Restrict-3.0.0nb2.tgz(NetBSD 9.0)
earmv6hf:p5-HTML-Restrict-3.0.0nb1.tgz(NetBSD 9.0)
earmv6hf:p5-HTML-Restrict-3.0.0nb2.tgz(NetBSD 9.0)
earmv6hf:p5-HTML-Restrict-3.0.0nb2.tgz(NetBSD 9.0)
earmv7hf:p5-HTML-Restrict-3.0.0nb2.tgz(NetBSD 8.0)
earmv7hf:p5-HTML-Restrict-3.0.0nb1.tgz(NetBSD 8.0)
earmv7hf:p5-HTML-Restrict-3.0.0nb1.tgz(NetBSD 8.0)
earmv7hf:p5-HTML-Restrict-3.0.0nb2.tgz(NetBSD 8.0)
earmv7hf:p5-HTML-Restrict-3.0.0nb2.tgz(NetBSD 9.0)
earmv7hf:p5-HTML-Restrict-3.0.0nb1.tgz(NetBSD 9.0)
earmv7hf:p5-HTML-Restrict-3.0.0nb1.tgz(NetBSD 9.0)
earmv7hf:p5-HTML-Restrict-3.0.0nb2.tgz(NetBSD 9.0)
earmv7hf:p5-HTML-Restrict-3.0.0nb2.tgz(NetBSD 9.0)
i386:p5-HTML-Restrict-3.0.0nb1.tgz(NetBSD 8.0)
i386:p5-HTML-Restrict-3.0.0nb2.tgz(NetBSD 8.0)
i386:p5-HTML-Restrict-3.0.0nb2.tgz(NetBSD 8.0)
i386:p5-HTML-Restrict-3.0.0nb1.tgz(NetBSD 9.0)
i386:p5-HTML-Restrict-3.0.0nb2.tgz(NetBSD 9.0)
i386:p5-HTML-Restrict-3.0.0nb2.tgz(NetBSD 9.0)
mips64eb:p5-HTML-Restrict-3.0.0nb2.tgz(NetBSD 9.0)
powerpc:p5-HTML-Restrict-3.0.0nb2.tgz(NetBSD 8.0)
powerpc:p5-HTML-Restrict-3.0.0nb2.tgz(NetBSD 8.0)
powerpc:p5-HTML-Restrict-3.0.0nb2.tgz(NetBSD 9.0)
powerpc:p5-HTML-Restrict-3.0.0nb1.tgz(NetBSD 9.0)
sparc64:p5-HTML-Restrict-3.0.0nb2.tgz(NetBSD 9.0)
sparc64:p5-HTML-Restrict-3.0.0nb1.tgz(NetBSD 9.0)
sparc64:p5-HTML-Restrict-3.0.0nb2.tgz(NetBSD 9.0)
sparc:p5-HTML-Restrict-3.0.0nb2.tgz(NetBSD 9.0)
x86_64:p5-HTML-Restrict-3.0.0nb2.tgz(NetBSD 9.0)
x86_64:p5-HTML-Restrict-3.0.0nb2.tgz(NetBSD 9.0)
x86_64:p5-HTML-Restrict-3.0.0nb2.tgz(NetBSD 9.0)
x86_64:p5-HTML-Restrict-3.0.0nb2.tgz(NetBSD 9.0)
x86_64:p5-HTML-Restrict-3.0.0nb2.tgz(NetBSD 8.0)
x86_64:p5-HTML-Restrict-3.0.0nb1.tgz(NetBSD 8.0)
x86_64:p5-HTML-Restrict-3.0.0nb2.tgz(NetBSD 8.0)
x86_64:p5-HTML-Restrict-3.0.0nb1.tgz(NetBSD 9.0)
x86_64:p5-HTML-Restrict-3.0.0nb2.tgz(NetBSD 9.0)
x86_64:p5-HTML-Restrict-3.0.0nb2.tgz(NetBSD 9.0)
x86_64:p5-HTML-Restrict-3.0.0nb2.tgz(NetBSD 9.0)

Binary packages can be installed with pkgin or pkg_add(1). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.


[ Go up one level | Go to top of packages tree | List all packages ]